body{
    text-align: center;
    background-color: whitesmoke;
}
.dark-mode{
    background-color: black;
    color: white;
}
.cm-btn{
    border-radius: 20px;
    background-color: #4C6245;
    width: 130px;
    height: 40px;
    float: left;
    border: white;
    margin-left: 7rem;
    color: white;
    margin-top: 30px;
}
.cm-btn:hover{
    box-shadow: 0 2px 4px ; 
    background-color:#8DB580;
}
.share-btn{
    border-radius: 20px;
    background-color: #4C6245;
    width: 130px;
    height: 40px;
    float: right;
    border: white;
    margin-right: 7rem;
    color: white;
    margin-top: 30px;
}
.share-btn:hover{
    box-shadow: 0 2px 4px ; 
    background-color:#8DB580;
}
.title{
    text-align: center;
    margin-top: 20px;
}
.title img{
    width: 400px;
    height: auto;
    border-radius: 20px;
    position: relative;
    margin-bottom: 20px;
    z-index: -1;
    animation: right-left 10s ease infinite;
}
@keyframes right-left{
    0%{
        left: -300px;
    }
    50%{
        left: 280px;
    }
    100%{
        left: -300px;
    }
}

.wrapper{
    text-align: center;
    padding-left: 68px;
    margin-top: 100px;
    align-items: center;
}
.box-wrapper{
    display: flex; 
    margin-bottom: 5px;
    margin-left: 5px;
    margin-right: 5px;
    flex-wrap: wrap;
    text-align: center;
    align-items: center;
}
.box{
    background-color: #4C6245;
    box-shadow: 0 4px 8px black;
    width: 500px;
    margin-left: 27.5px;
    margin-right: 27.5px;
    border-radius: 30px;
    height: 300px;
    text-align: center;
    margin-bottom: 15px;
    padding: 20px;
    overflow: hidden;
}
.box:hover{
    background-color: #8DB580;
    box-shadow: 0 4px 8px;
}
.box-read:hover{
    background-color: #4C6245;
}
.exp:hover{
    transition: all 0.65s;
	/* transform: rotateY(360deg); */
    background-position: 0 1000%;
    transform: scale(1.02);
}
.box h2{
    color: #D9E89E;
    font-size: 30px;
}
.by{
    color: #D9E89E;
} 
.exp{
    font-family: Merriweather;
    white-space: pre-wrap;
    margin-top: 20px;
    color: white;
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 5;
    overflow: hidden;
    height: 120px;
    background: linear-gradient(to left, black, #4C6245 50%, white 50%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-size: 200% 100%;
    background-position: 100%;
    transition: background-position 0.65s ease-in-out;
}
.box-read{
    float: right;
    margin-top: 10px;
    background-color: #8DB580;
    border-radius: 20px;
    width: 130px;
    height: 30px;
    text-align: center;
    justify-content: center;
}
.box-read a{
    color: black;
    text-align: center;
    justify-content: center;
    text-decoration: none;
}
.box-read a:hover{
    color: white;
}
@media only screen and (max-width: 1200px) {
    .box{
        background-color: #4C6245;
        box-shadow: 0 4px 8px black;
        width: 400px;
        margin-left: 27.5px;
        margin-right: 27.5px;
        border-radius: 30px;
        height: 300px;
        text-align: center;
        margin-bottom: 15px;
        padding: 20px;
        overflow: hidden;
    }
  }
  @media only screen and (max-width: 990px) {
    .box-wrapper{
      text-align: center;
    }
    .box{
        background-color: #4C6245;
        box-shadow: 0 4px 8px black;
        width: 550px;
        /* margin-left: 27.5px;
        margin-right: 27.5px; */
        border-radius: 30px;
        height: 300px;
        text-align: center;
        margin-bottom: 15px;
        padding: 20px;
        overflow: hidden;
    }
  }
  @media only screen and (max-width: 503px){
      .share-btn{
          margin-right: 1rem;
      }
      .cm-btn{
          margin-left: 1rem;
      }
  }
  @media only screen and (max-width: 426px) {
    .title img{
      width: 300px;
      margin-bottom: 20px;
    }
  }
  @media only screen and (max-width: 409px) {
    .box-wrapper{
      display: none;
    }
    body{
        text-align: center;
    }
    .title{
        margin-bottom: 20px;
    }
    .title img{
        width: 240px;
    }
    .rotate{
        margin-top: 100px;
    }
    .img-rotate{
        color: black;
    }
  }
  @media only screen and (min-width: 410px) {
    .rotate{
      display: none;
    }
  }
